package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

import java.util.Collection;

/**
 * An inteface description for a container storing statistics.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface ArtifactStatisticsSet extends Serializable {

    /**
     * Retrieves the name of this container.
     *
     * @return the name.
     */
    String getName();

    /**
     * Retrieves the statistics as collection.
     *
     * @return the statistics.
     */
    Collection<ArtifactStatisticValue> getStatisticValues();

    /**
     * Add a new statistic to this container.
     *
     * @param value A statistic.
     */
    void addStatisticValues(ArtifactStatisticValue value);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :